Skip to main content
GET
Review a one-time automation run

Authorizations

Authorization
string
header
required

A Replier API key (rpl_...).

Path Parameters

workspace_id
string<uuid>
required

Workspace ID returned by GET /v1/workspaces

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
one_time_automation_id
string<uuid>
required

One-time automation ID from GET /v1/workspaces/{workspace_id}/one-time-automations, in this workspace

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
run_id
string<uuid>
required

Run ID returned by POST /v1/workspaces/{workspace_id}/one-time-automations, POST /v1/workspaces/{workspace_id}/one-time-automations/{one_time_automation_id}/runs or GET /v1/workspaces/{workspace_id}/one-time-automations/{one_time_automation_id}

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

comment_limit
integer
default:200
Required range: 1 <= x <= 1500

Response

OK

workspace
object
required
one_time_automation_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
run
object
required
comments
object[]
required

Matching comments, those a send would answer (eligible) first, then newest first

comments_truncated
boolean
required

More comments matched than comment_limit; counts still cover all of them

can_send
boolean
required
blocked_reason
enum<string> | null
required

null: this user can send this automation's replies now. permission_denied: the user lacks messages.send. workspace_paused: the workspace's service is paused. channel_unavailable or channel_reconnect_required: reconnect the Instagram account in Replier.

Available options:
permission_denied,
workspace_paused,
channel_unavailable,
channel_reconnect_required